org.eclipse.oomph.util

## Class IOExceptionWithCause

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.oomph.util.IOExceptionWithCause

- All Implemented Interfaces:
    Serializable

      public class IOExceptionWithCause
      extends IOException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOExceptionWithCause()`
    `IOExceptionWithCause(String message)`
    `IOExceptionWithCause(String message, Throwable cause)`
    `IOExceptionWithCause(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOExceptionWithCause

          public IOExceptionWithCause()

    - #### IOExceptionWithCause

          public IOExceptionWithCause(String message)

    - #### IOExceptionWithCause

          public IOExceptionWithCause(Throwable cause)

    - #### IOExceptionWithCause

          public IOExceptionWithCause(String message,
                              Throwable cause)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html